BEGIN VVDEREK


//Love Talk1

IF ~Global("DerekRomanceTalkInit","LOCALS",1)
Global("DerekRomanceTalk","LOCALS",1)
Global("DerekRomance","GLOBAL",2)~ THEN BEGIN LoveTalk1
SAY ~<CHARNAME>, can you walk a little more slow?~
IF ~~ THEN REPLY ~Derek, what happened? You don't catch up with us?~ GOTO LoveTalk1Walk
END

IF ~~ LoveTalk1Walk
SAY ~No, I just love to see how your beautiful buttocks overturn when you move.~
   IF ~~ THEN REPLY ~Stop looking on my back!~ GOTO LoveTalk1Back
   IF ~~ THEN REPLY ~Is THIS speed better?~ GOTO LoveTalk1Speed
   IF ~~ THEN REPLY ~Derek, you are pervent!~ GOTO LoveTalk1Pervert
END

IF ~~ LoveTalk1Back
 SAY ~That will not happen. They are too beautiful.~
 IF ~~ THEN DO ~~ EXIT
END


IF ~~ LoveTalk1Speed
 SAY ~Thank you, my mistress.~
 =
 ~O-oh, that is so great!~
 IF ~~ THEN DO ~IncrementGlobal("Happiness","GLOBAL",100)~ EXIT
END

IF ~~ LoveTalk1Pervert
 SAY ~Hey, I am a man. What's so pervert about looking at woman's body?~
 IF ~~ THEN DO ~IncrementGlobal("Happiness","GLOBAL",-50)~ EXIT
END

//Love Talk 2
IF ~Global("DerekRomanceTalkInit","LOCALS",1)
Global("DerekRomanceTalk","LOCALS",2)
Global("DerekRomance","GLOBAL",2)~ THEN BEGIN LoveTalk1
SAY ~<CHARNAME>, can I ask you something?~
IF ~~ THEN REPLY ~Of cause, ask, Derek.~ GOTO LoveTalk2Ask
IF ~~ THEN REPLY ~Absolutely no!~ GOTO LoveTalk2NoAsk
END

IF ~~ LoveTalk2Ask
 SAY ~What's the color of your panties?~
 IF ~~ THEN REPLY ~I wear no panties.~ GOTO LoveTalk2Ask1
 IF ~~ THEN REPLY ~They are pure white.~ GOTO LoveTalk2Ask2
 IF ~~ THEN REPLY ~Don't ask me such questions, pervert!~ GOTO LoveTalk2Ask3
END

IF ~~ LoveTalk2NoAsk
  SAY ~<CHARNAME>, it's a matter of life and death.~ 
IF ~~ THEN REPLY ~Of cause, ask, Derek.~ GOTO LoveTalk2Ask
IF ~~ THEN REPLY ~No means no!~ GOTO LoveTalk2NoAsk2
END

IF ~~ LoveTalk2NoAsk2
  SAY ~Yes, mistress.~ 
 IF ~~ THEN DO ~IncrementGlobal("Happiness","GLOBAL",-200)~ EXIT  
END

IF ~~ LoveTalk2Ask1
  SAY ~Ah! <CHARNAME>, I need to... Please, wait me here, I'll return after few minutes.~
  IF ~~ THEN DO ~FadeToColor([30.0],0)
//  SetGlobal("Player1HadSex","GLOBAL",1)
//  SetGlobal("Player1HadSexWithDerek","GLOBAL",1)
  IncrementGlobal("Happiness","LOCALS",300)
//  IncrementGlobal("DerekSex","LOCALS",1)
AdvanceTime(FIVE_MINUTES)
ChangeStat(Myself,FATIGUE,2,ADD)
FadeFromColor([30.0],0)~ EXIT 
END

IF ~~ LoveTalk2Ask2
  SAY ~White is a good color. It was color of my shroud. I like your choice, mistress.~
  IF ~~ THEN DO ~IncrementGlobal("Happiness","GLOBAL",100)~ EXIT 
END

IF ~~ LoveTalk2Ask3
  SAY ~It's called 'fetishist', <CHARNAME>.~
  IF ~~ THEN DO ~IncrementGlobal("Happiness","GLOBAL",-100)~ EXIT 
END

//Love Talk 3
IF ~Global("DerekRomanceTalkInit","LOCALS",1)
Global("DerekRomanceTalk","LOCALS",3)
Global("DerekRomance","GLOBAL",3)~ THEN BEGIN LoveTalk3
SAY ~(Derek comes to your back and slaps your left buttock.)~
IF ~~ THEN REPLY ~Ouch!! I'll cut off your hands!~ GOTO LoveTalk3Ask1
IF ~~ THEN REPLY ~Ouch!!~ GOTO LoveTalk3NoAsk2
END

IF ~~ LoveTalk3Ask1
 SAY ~<CHARNAME>, didn't you liked it?~
 IF ~~ THEN REPLY ~Of cause, no, you, pervert!~ GOTO LoveTalk3Ask3
 IF ~~ THEN REPLY ~I don't like rude things like that. Repeat that and I will punish you.~ GOTO LoveTalk3Ask4
 END
 
 IF ~~ LoveTalk3NoAsk2
   SAY ~I see, you like it, <CHARNAME>.~
   IF ~~ THEN DO ~IncrementGlobal("Happiness","GLOBAL",200)~ EXIT
END
 
 IF ~~ LoveTalk3Ask3
   SAY ~Don't see nothing bad in this. Your ass is so... I even don't have words for it.~
   IF ~~ THEN DO ~~ EXIT
 END
 
 IF ~~ LoveTalk3Ask4
   SAY ~I hope you will punish me THAT way, honey?~
   IF ~~ THEN DO ~IncrementGlobal("Happiness","GLOBAL",-50)~ EXIT
 END
 
 
 //Love Talk 4
IF ~Global("DerekRomanceTalkInit","LOCALS",1)
Global("DerekRomanceTalk","LOCALS",4)
Global("DerekRomance","GLOBAL",2)~ THEN BEGIN LoveTalk4
SAY ~Can I touch your breast, <CHARNAME>?~
IF ~~ THEN REPLY ~Oh, you ask. You learn quickly.~ GOTO LoveTalk4Ask1
IF ~~ THEN REPLY ~No, of cause.~ GOTO LoveTalk4NoAsk2
IF ~~ THEN REPLY ~Do it gentle, Derek.~ GOTO LoveTalk4Ask3
END

IF ~~ LoveTalk4Ask1
 SAY ~Look, <CHARNAME>. I am pure man. I don't know etiqueittes. I just want to feel the wonders of life.~
 IF ~~ THEN REPLY ~You cannot touch it, no!~ GOTO LoveTalk4NoAsk2
IF ~~ THEN REPLY ~Only do it gentle, Derek.~ GOTO LoveTalk4Ask3
 END
 
 IF ~~ LoveTalk4NoAsk2
   SAY ~Stop keeping your body only for yourself, <CHARNAME>. I am here to appreciate it.~
   IF ~~ THEN DO ~IncrementGlobal("Happiness","GLOBAL",-90)~ EXIT
END
 
 IF ~~ LoveTalk4Ask3
   SAY ~Oh, it is beautiful...~
   =
   ~It's so soft and smooth...~
   =
   ~Look what I will do with your nipple...~
   IF ~~ THEN REPLY ~Ah, what was that? It was so ... sensual...~ GOTO  LoveTalk4Ask4
   IF ~~ THEN REPLY ~Never again I will allow you to touch me!~ GOTO  LoveTalk4NoAsk2
 END
 
 IF ~~ LoveTalk4Ask4
   SAY ~I know, <CHARNAME>. I am druid, I know mysteries about bodies. I can show you more sometime.~
   IF ~~ THEN DO ~FadeToColor([30.0],0)
//  SetGlobal("Player1HadSex","GLOBAL",1)
 // SetGlobal("Player1HadSexWithDerek","GLOBAL",1)
  IncrementGlobal("Happiness","LOCALS",340)
 // IncrementGlobal("DerekSex","LOCALS",1)
AdvanceTime(EIGHT_HOURS)
ChangeStat(Player1,FATIGUE,22,ADD)
ChangeStat(Myself,FATIGUE,17,ADD)
FadeFromColor([30.0],0)~ EXIT
 END
 
 
 
 
 
 //Love Talk 5
IF ~Global("DerekRomanceTalkInit","LOCALS",1)
Global("DerekRomanceTalk","LOCALS",5)
Global("DerekRomance","GLOBAL",2)~ THEN BEGIN LoveTalk5
SAY ~<CHARNAME>, vampirism saved your body in the best shape possible. I envy you.~
IF ~~ THEN REPLY ~Thank you, Derek.~ GOTO LoveTalk5Ask1
IF ~~ THEN REPLY ~You have good eyes.~ GOTO LoveTalk5Ask2
IF ~~ THEN REPLY ~Vampirism saved by body, but not for you, vulgar redneck!~ GOTO LoveTalk5Ask3
END

IF ~~ LoveTalk5Ask1
 SAY ~Always ready. I cannot brag about good shape of my body.~
 IF ~~ THEN REPLY ~I want to see it and avaluate it myself.~ GOTO LoveTalk5Ask4
IF ~~ THEN REPLY ~To each his own, Derek.~ GOTO LoveTalk5Ask5
 END
 
 IF ~~ LoveTalk5Ask2
 SAY ~I know some things about woman beauty, <CHARNAME>. I cannot brag about good shape of my body.~
 IF ~~ THEN REPLY ~I want to see it and avaluate it myself.~ GOTO LoveTalk5Ask4
IF ~~ THEN REPLY ~To each his own, Derek.~ GOTO LoveTalk5Ask5
 END
 
  
 IF ~~ LoveTalk5Ask3
 SAY ~Why are you such scratch-cat?~
 IF ~~ THEN DO ~IncrementGlobal("Happiness","GLOBAL",-50)~ EXIT
 END
 
 IF ~~ LoveTalk5Ask4
   SAY ~Oh, I am... I am ready. Can I undress?~
   IF ~~ THEN REPLY ~That is a taste in awaiting, Derek. Maybe later.~ GOTO LoveTalk5Ask6
   IF ~~ THEN REPLY ~I was joking.~ GOTO LoveTalk5Ask3
END
 
 IF ~~ LoveTalk5Ask6
   SAY ~I knew you are the one for me, <CHARNAME>.~
   IF ~~ THEN DO ~IncrementGlobal("Happiness","GLOBAL",150)~ EXIT
 END
 
 IF ~~ LoveTalk5Ask5
   SAY ~I will dream that you are my own, <CHARNAME>.~
   IF ~~ THEN DO ~IncrementGlobal("Happiness","GLOBAL",100)~ EXIT
 END
  
 
 //Love Talk 6
IF ~Global("DerekRomanceTalkInit","LOCALS",1)
Global("DerekRomanceTalk","LOCALS",6)
Global("DerekRomance","GLOBAL",2)~ THEN BEGIN LoveTalk6
SAY ~<CHARNAME>, I invite you to my coffin. Let's make love.~
IF ~~ THEN REPLY ~Derek, you got hands. Imagine me and go.~ GOTO LoveTalk6Ask1
IF ~~ THEN REPLY ~Why not? I am undressing.~ GOTO LoveTalk6Ask2
IF ~~ THEN REPLY ~Not in this life!~ GOTO LoveTalk6Ask3
END

IF ~~ LoveTalk6Ask1
 SAY ~One second, I'll be quick. Pose me for a while and show your breasts.~
 IF ~~ THEN REPLY ~Like that? Do you like my boobies?~ GOTO LoveTalk6Ask4
IF ~~ THEN REPLY ~That's disgusting. I am leaving.~ GOTO LoveTalk6Ask5
 END
 
  IF ~~ LoveTalk6Ask2
 SAY ~That happened! Thank you, Bhaal, that happened!~
 IF ~~ THEN DO ~FadeToColor([30.0],0)
  SetGlobal("Player1HadSex","GLOBAL",1)
  SetGlobal("Player1HadSexWithDerek","GLOBAL",1)
  IncrementGlobal("Happiness","LOCALS",340)
  IncrementGlobal("DerekSex","LOCALS",1)
AdvanceTime(ONE_HOUR)
ChangeStat(Player1,FATIGUE,8,ADD)
ChangeStat(Myself,FATIGUE,5,ADD)
FadeFromColor([30.0],0)~ EXIT
 END
  
  IF ~~ LoveTalk6Ask3
 SAY ~You are pure evil, <CHARNAME>.~
 IF ~~ THEN DO ~IncrementGlobal("Happiness","GLOBAL",-90)~ EXIT
 END
 
 IF ~~ LoveTalk6Ask4
 SAY ~Ah, I will live for you, <CHARNAME>!~
 IF ~~ THEN DO ~IncrementGlobal("Happiness","GLOBAL",300)~ EXIT
 END
 
  
  IF ~~ LoveTalk6Ask5
 SAY ~Stay focused, Derek. Stay focused. Imagine <CHARNAME>.... Oh, right, <CHARNAME>... You are fire, <CHARNAME>...~
 IF ~~ THEN DO ~FadeToColor([30.0],0)
//  SetGlobal("Player1HadSex","GLOBAL",1)
// SetGlobal("Player1HadSexWithDerek","GLOBAL",1)
  IncrementGlobal("Happiness","LOCALS",40)
  IncrementGlobal("DerekSex","LOCALS",1)
AdvanceTime(TEN_MINUTES)
//ChangeStat(Player1,FATIGUE,22,ADD)
ChangeStat(Myself,FATIGUE,3,ADD)
FadeFromColor([30.0],0)~ EXIT
 END
 
 
 
 
 
 
 //Love Talk 7
IF ~Global("DerekRomanceTalkInit","LOCALS",1)
Global("DerekRomanceTalk","LOCALS",7)
Global("DerekRomance","GLOBAL",2)~ THEN BEGIN LoveTalk7
SAY ~Do you knew your mom, <CHARNAME>?~
IF ~~ THEN REPLY ~No, Derek. I even don't know her name.~ GOTO LoveTalk7Ask1
IF ~~ THEN REPLY ~Is this another one of your dirty tackles?~ GOTO LoveTalk7Ask2
END

IF ~~ LoveTalk7Ask1
 SAY ~Sad to hear it, <CHARNAME>.~
 =
 ~My mom was good. She cooked for me, and done all the home work.~
 =
 ~It's bad, that she didn't adopt me as a vampire and died, trying to burn me.~
 IF ~~ THEN REPLY ~It's so tragic, Derek.~ GOTO LoveTalk7Ask3
IF ~~ THEN REPLY ~Don't give a damn about it.~ GOTO LoveTalk7Ask4
 END
 
  IF ~~ LoveTalk7Ask2
 SAY ~No of cause. Mom is sacred.~
 IF ~~ THEN REPLY ~Than it's tragic, Derek.~ GOTO LoveTalk7Ask3
IF ~~ THEN REPLY ~Still don't give a damn about it.~ GOTO LoveTalk7Ask4
 END
  
  IF ~~ LoveTalk7Ask3
 SAY ~You understand me, <CHARNAME>. (Whips)~
 =
 ~Can I cry on your breasts?~ 
 IF ~~ THEN REPLY ~I knew it!~ GOTO LoveTalk7Ask5
  IF ~~ THEN REPLY ~Cry as much as you want, Derek! I'll embrace you!~ GOTO LoveTalk7Ask6
 END
 
 IF ~~ LoveTalk7Ask4
 SAY ~You are terrible, <CHARNAME>.~
 IF ~~ THEN DO ~IncrementGlobal("Happiness","GLOBAL",-100)~ EXIT
 END
 
  
  IF ~~ LoveTalk7Ask5
 SAY ~<CHARNAME>, please! Please!~
 IF ~~ THEN DO ~~ EXIT
 END
  
  IF ~~ LoveTalk7Ask6
 SAY ~You remind me of mom. Aaaa... Soft...~
 IF ~~ THEN DO ~FadeToColor([30.0],0)
//  SetGlobal("Player1HadSex","GLOBAL",1)
//  SetGlobal("Player1HadSexWithDerek","GLOBAL",1)
  IncrementGlobal("Happiness","LOCALS",140)
//  IncrementGlobal("DerekSex","LOCALS",1)
AdvanceTime(TWELVE_MINUTES)
//ChangeStat(Player1,FATIGUE,22,ADD)
//ChangeStat(Myself,FATIGUE,17,ADD)
FadeFromColor([30.0],0)~ EXIT
 END
 
 
 //Love Talk 8
IF ~Global("DerekRomanceTalkInit","LOCALS",1)
Global("DerekRomanceTalk","LOCALS",8)
Global("DerekRomance","GLOBAL",2)~ THEN BEGIN LoveTalk8
SAY ~Do you play music, <CHARNAME>?~
IF ~~ THEN REPLY ~No.~ GOTO LoveTalk8Ask1
IF ~~ THEN REPLY ~Sometimes.~ GOTO LoveTalk8Ask1
IF ~~ THEN REPLY ~I wonder where this conversation is heading.~ GOTO LoveTalk8Ask1
END

IF ~~ LoveTalk8Ask1
 SAY ~I have a flute. Really long flute. Play on it.~
 IF ~~ THEN REPLY ~Derek, stop, or I'll cut your flute off.~ GOTO LoveTalk8Ask2
 IF ~~ THEN REPLY ~I can't just reject it. I already think of few melodies I wanna play on it.~ GOTO LoveTalk8Ask3
 IF ~~ THEN REPLY ~I got no talent to play flutes.~ GOTO LoveTalk8Ask4
 END
 
  IF ~~ LoveTalk8Ask2
 SAY ~It will regenerate. But I better refrain...~
 IF ~~ THEN DO ~IncrementGlobal("Happiness","GLOBAL",-100)~ EXIT
 END
  
  IF ~~ LoveTalk8Ask3
 SAY ~I knew you are a talented girl. Here, take her...~
 IF ~~ THEN DO ~FadeToColor([30.0],0)
  SetGlobal("Player1HadSex","GLOBAL",1)
 // SetGlobal("Player1HadSexWithDerek","GLOBAL",1)
  IncrementGlobal("Happiness","LOCALS",240)
  IncrementGlobal("DerekSex","LOCALS",1)
AdvanceTime(THIRTY_MINUTES)
ChangeStat(Player1,FATIGUE,4,ADD)
ChangeStat(Player1,INTOXICATION,10,ADD)
FadeFromColor([30.0],0)~ EXIT
 END
 
 IF ~~ LoveTalk8Ask4
 SAY ~If you will not try - you will not learn.~
 IF ~~ THEN REPLY ~Derek, stop, or I'll cut your flute off.~ GOTO LoveTalk8Ask2
 IF ~~ THEN REPLY ~All right, I like new things.~ GOTO LoveTalk8Ask3
 IF ~~ THEN REPLY ~Not interested.~ GOTO LoveTalk8Ask5 
 END
 
  
  IF ~~ LoveTalk8Ask5
 SAY ~<CHARNAME>, I am VERY dissapointed.~
 IF ~~ THEN DO ~IncrementGlobal("Happiness","GLOBAL",-30)~ EXIT
 END

 
  
 
 //Love Talk 9
IF ~Global("DerekRomanceTalkInit","LOCALS",1)
Global("DerekRomanceTalk","LOCALS",9)
Global("DerekRomance","GLOBAL",2)~ THEN BEGIN LoveTalk9
SAY ~Listen, <CHARNAME>...~
IF ~~ THEN REPLY ~I am not hearing anything! I am not hearing!~ GOTO LoveTalk9Ask2
IF ~~ THEN REPLY ~What, Derek?~ GOTO LoveTalk9Ask2
END



IF ~~ LoveTalk9Ask2
 SAY ~Do you prefer to be on top or bottom?~
 IF ~~ THEN REPLY ~I knew this will be another your disgusting jokes!~ GOTO LoveTalk9Ask3
 IF ~~ THEN REPLY ~I prefer to be on top.~ DO ~SetGlobal("Top","LOCALS",1)~ GOTO LoveTalk9Ask4
 IF ~~ THEN REPLY ~I prefer to be on bottom.~ DO ~SetGlobal("Bottom","LOCALS",1)~ GOTO LoveTalk9Ask4
 IF ~~ THEN REPLY ~I prefer to be between.~ DO ~SetGlobal("Between","LOCALS",1)~ GOTO LoveTalk9Ask5
 IF ~~ THEN REPLY ~I like it both ways.~ DO ~SetGlobal("TopBottom","LOCALS",1)~ GOTO LoveTalk8Ask4
 END
 
    IF ~~ LoveTalk9Ask5
 SAY ~<CHARNAME>, you are a perverted woman.~
 IF ~~ THEN DO ~IncrementGlobal("Happiness","GLOBAL",100)~ EXIT
 END
 
  
  IF ~~ LoveTalk9Ask4
 SAY ~I like to be on bottom, if you like to know.~
 IF ~~ THEN DO ~IncrementGlobal("Happiness","GLOBAL",100)~ EXIT
 END
 
  IF ~~ LoveTalk9Ask3
 SAY ~I am not joking, <CHARNAME>. I must know everything about my woman.~
 IF ~~ THEN REPLY ~When I became 'yours'?~ GOTO LoveTalk9End
 IF ~~ THEN REPLY ~Alright, Derek.~ GOTO LoveTalk9End2 
 END
 
   IF ~~ LoveTalk9End
 SAY ~When you convinced me to come with you, <CHARNAME>.~
 IF ~~ THEN REPLY ~This was my most terrible mistake in my life.~ GOTO LoveTalk9End3
 IF ~~ THEN REPLY ~You are embarrassing me.~ GOTO LoveTalk9End2 
 END
 
     IF ~~ LoveTalk9End2
 SAY ~Always yours, <CHARNAME>.~
 IF ~~ THEN DO ~IncrementGlobal("Happiness","GLOBAL",200)~ EXIT
 END
 
  
     IF ~~ LoveTalk9End3
 SAY ~It was the best day of my life, <CHARNAME>.~
 IF ~~ THEN DO ~IncrementGlobal("Happiness","GLOBAL",100)~ EXIT
 END
  
 
 //Love Talk 10
IF ~Global("DerekRomanceTalkInit","LOCALS",1)
Global("DerekRomanceTalk","LOCALS",10)
Global("DerekRomance","GLOBAL",2)~ THEN BEGIN LoveTalk10
SAY ~<CHARNAME>, you are my first woman...~
IF ~~ THEN REPLY ~I am NOT your woman! ~ GOTO LoveTalk10Ask1
IF ~~ THEN REPLY ~What does "first" mean, he-dog?~ GOTO LoveTalk10Ask4
END

IF ~~ LoveTalk10Ask1
  SAY ~<CHARNAME>, please!~
IF ~~ THEN REPLY ~No means no! ~ GOTO LoveTalk10Ask3
IF ~~ THEN REPLY ~Well, maybe you have chance...~ GOTO LoveTalk10Ask4
END

IF ~~ LoveTalk10Ask3
  SAY ~<CHARNAME>, I will not stop caressing you, until you will accept me.~
IF ~~ THEN REPLY ~Derek, if you will not stop caressing me, I will plug aspen stake in your heart without hesistation.~ GOTO LoveTalk10Ask5  
IF ~~ THEN REPLY ~Well, maybe you have chance...~ GOTO LoveTalk10Ask4
END

IF ~~ LoveTalk10Ask4
  SAY ~<CHARNAME>, your are my first and last woman, I meant.~
  =
  ~Come to my coffin and teach me how to please you right, <CHARNAME>.~
  IF ~~ THEN REPLY ~Well, maybe I will teach you a lesson or two...~ GOTO LoveTalk10Ask6
  IF ~~ THEN REPLY ~No, Derek, my head hurts and it's that days.~ GOTO LoveTalk10Ask7
  IF ~~ THEN REPLY ~Derek, I will kill you, I swear!~ GOTO LoveTalk10Ask8
END

IF ~~ LoveTalk10Ask5
  SAY ~Could you kill a man that loves you, <CHARNAME>?~
  IF ~~ THEN DO ~IncrementGlobal("Happiness","GLOBAL",-200)~ EXIT
END

IF ~~ LoveTalk10Ask6
  SAY ~Let me help you undress, my <CHARNAME>...~
  IF ~~ THEN DO ~FadeToColor([30.0],0)
  SetGlobal("Player1HadSex","GLOBAL",1)
  SetGlobal("Player1HadSexWithDerek","GLOBAL",1)
  IncrementGlobal("Happiness","LOCALS",240)
  IncrementGlobal("DerekSex","LOCALS",1)
AdvanceTime(TWO_HOURS)
ChangeStat(Player1,FATIGUE,10,ADD)
ChangeStat(Myself,FATIGUE,7,ADD)
FadeFromColor([30.0],0)~ EXIT
END


IF ~~ LoveTalk10Ask7
  SAY ~<CHARNAME>, you are a vampire, you can't have 'these days'?!~
  IF ~~ THEN REPLY ~Derek, I meant I don't want it today.~ GOTO LoveTalk10Ask9  
  IF ~~ THEN REPLY ~Derek, I will kill you, I swear!~ GOTO LoveTalk10Ask8
END

IF ~~ LoveTalk10Ask8
  SAY ~Oi! I am shutting up!~
  IF ~~ THEN DO ~IncrementGlobal("Happiness","GLOBAL",30)~ EXIT
END


IF ~~ LoveTalk10Ask9
  SAY ~<CHARNAME>, you have ruined my night...~
  IF ~~ THEN DO ~IncrementGlobal("Happiness","GLOBAL",-30)~ EXIT
END


  
 
 //Love Talk 11
IF ~Global("DerekRomanceTalkInit","LOCALS",1)
Global("DerekRomanceTalk","LOCALS",11)
Global("DerekRomance","GLOBAL",2)~ THEN BEGIN LoveTalk11
SAY ~<CHARNAME>, I will be straight tonight...~
IF ~~ THEN REPLY ~You are always straight, Derek. ~ GOTO LoveTalk11Ask1
IF ~~ THEN REPLY ~No, not AGAIN!~ GOTO LoveTalk11Ask1
END


IF ~~ LoveTalk11Ask1
  SAY ~Can I bite you in your lovely buttock?~
  IF ~~ THEN REPLY ~You!! What?!~ GOTO LoveTalk11Ask3
  IF ~~ THEN REPLY ~Of cause, Derek. Just be gentle and don't drink all my blood.~ GOTO LoveTalk11Ask4
END

IF ~~ LoveTalk11Ask3
  SAY ~Can I bite you in your... umm... buttock?~
  IF ~~ THEN REPLY ~You asked for it! Die!~ GOTO LoveTalk11Ask5
  IF ~~ THEN REPLY ~Interesting. Just be gentle and don't drink all my blood.~ GOTO LoveTalk11Ask4  
  IF ~~ THEN REPLY ~Not today, Derek.~ GOTO LoveTalk11Ask6  
END

IF ~~ LoveTalk11Ask4
  SAY ~Of cause, <CHARNAME>. Come, my sweet buttock. Oh, your panties are so nice. Ugh...~
  IF ~~ THEN DO ~~ GOTO suckblood
END

IF ~~ LoveTalk11Ask5
  SAY ~No! Please don't!~
  IF ~~ THEN DO ~DropInventory()
LeaveParty()
EscapeArea()~ EXIT
END

IF ~~ LoveTalk11Ask6
  SAY ~Oh no...~
  IF ~~ THEN DO ~IncrementGlobal("Happiness","GLOBAL",-50)~ EXIT
END

  
 
 //Love Talk 12
IF ~Global("DerekRomanceTalkInit","LOCALS",1)
Global("DerekRomanceTalk","LOCALS",12)
Global("DerekRomance","GLOBAL",2)~ THEN BEGIN LoveTalk12
SAY ~<CHARNAME>, can I play with your breasts?~
IF ~~ THEN REPLY ~Be gentle, Derek.~ GOTO LoveTalk12Ask1
IF ~~ THEN REPLY ~Not tonight.~ GOTO LoveTalk12Ask2
IF ~~ THEN REPLY ~Derek, I said that I will kill you. This time came right now. Prepare to die!~ GOTO LoveTalk11Ask5
END

IF ~~ LoveTalk12Ask2
  SAY ~Again...~
  IF ~~ THEN DO ~~ EXIT
END

IF ~~ LoveTalk12Ask1
  SAY ~Thank you, <CHARNAME>.~
  =
  ~Let's lessen your bra... Good...~
  =
  ~Oh, they are so soft. So marble. I could look at them forever...~
  =
  ~I'll kiss them both...~
  =
  ~Can I bite you in them?~
  IF ~~ THEN REPLY ~Just don't stop, Derek, more!!~ GOTO suckblood
  IF ~~ THEN REPLY ~No.~  GOTO LoveTalk12Ask3
END

IF ~~ LoveTalk12Ask3
  SAY ~They bounce so good, <CHARNAME>. I love you.~
  IF ~~ THEN DO ~FadeToColor([30.0],0)
//  SetGlobal("Player1HadSex","GLOBAL",1)
//  SetGlobal("Player1HadSexWithDerek","GLOBAL",1)
  IncrementGlobal("Happiness","LOCALS",240)
//  IncrementGlobal("DerekSex","LOCALS",1)
AdvanceTime(TEN_MINUTES)
ChangeStat(Myself,FATIGUE,3,ADD)
FadeFromColor([30.0],0)~ EXIT
END

//Love Talk 13
IF ~Global("DerekRomanceTalkInit","LOCALS",1)
Global("DerekRomanceTalk","LOCALS",13)
Global("DerekRomance","GLOBAL",2)~ THEN BEGIN LoveTalk13
SAY ~<CHARNAME>, you look angry. What happened?~
IF ~~ THEN REPLY ~You know what have happened Derek. I awoke in my coffin and my bra was torn, and my breast naked.~ GOTO LoveTalk13Ask1
END

IF ~~ LoveTalk13Ask1
  SAY ~Thas wasn't me. That was that robbed figure. He.. he visited to check on you.~
  IF ~~ THEN REPLY ~You got it coming, Derek.~ GOTO LoveTalk11Ask5
  IF ~~ THEN REPLY ~You are my varmint, Derek.~ GOTO LoveTalk13Ask4
  IF ~~ THEN REPLY ~Yeah, that robbed figure. If it returns, tell him to do much more than this.~   GOTO LoveTalk13Ask2
END

IF ~~ LoveTalk13Ask4
  SAY ~Yes, I am.~
IF ~~ THEN REPLY ~IncrementGlobal("Happiness","GLOBAL",300)~ EXIT
END

IF ~~ LoveTalk13Ask2
  SAY ~No, <CHARNAME>. I was joking. That was I. No robbed figure, please.~
 IF ~~ THEN REPLY ~IncrementGlobal("Happiness","GLOBAL",50)~ EXIT
END



 //Love Talk 14
IF ~Global("DerekRomanceTalkInit","LOCALS",1)
Global("DerekRomanceTalk","LOCALS",14)
Global("DerekRomance","GLOBAL",2)~ THEN BEGIN LoveTalk14
SAY ~<CHARNAME>, I have decided. Be my only one woman.~
=
~I love you, <CHARNAME>.~
IF ~~ THEN REPLY ~Yes, Derek.~ GOTO LoveTalk14Ask1
IF ~~ THEN REPLY ~Not a chance!~ GOTO LoveTalk14Ask2
IF ~~ THEN REPLY ~I will be your only one woman you happen to know. Prepare to die, it's time!~ GOTO LoveTalk11Ask5
END

IF ~~ LoveTalk14Ask1
  SAY ~Let me embrace you. And touch there...~
  =
  ~Join me in my coffin, I will give you all I learned with you.~
  IF ~~ THEN REPLY ~[Kiss Derek]~ GOTO LoveTalk14Ask4
END

IF ~~ LoveTalk14Ask4
  SAY ~Ah! Marvelous!~
IF ~~ THEN REPLY ~FadeToColor([30.0],0)
  SetGlobal("Player1HadSex","GLOBAL",1)
  SetGlobal("Player1HadSexWithDerek","GLOBAL",1)
  IncrementGlobal("Happiness","LOCALS",440)
  IncrementGlobal("DerekSex","LOCALS",1)
AdvanceTime(TWO_HOURS)
ChangeStat(Player1,FATIGUE,12,ADD)
ChangeStat(Myself,FATIGUE,10,ADD)
FadeFromColor([30.0],0)~ EXIT
END

IF ~~ LoveTalk14Ask2
  SAY ~Are you serious?~
  IF ~~ THEN REPLY ~Without fish even cancer becames fish. Okay, Derek, I'll be your woman for now.~ GOTO LoveTalk13Ask1
  IF ~~ THEN REPLY ~No. I am certain, no.~ GOTO LoveTalk14Ask6  
  IF ~~ THEN REPLY ~Start, running, Derek.~ GOTO LoveTalk11Ask5
END


IF ~~ LoveTalk14Ask6
  SAY ~We would been happy together...~
  IF ~~ THEN DO ~SetGlobal("DerekRomance","GLOBAL",3)~ EXIT
END
////////////////////////////////////////////////


IF ~See(Player1)
!InParty(Myself)
Race(Player1,VAMPIRE)
Gender(Player1,MALE)	
AreaCheck("BD7410")
	Global("FirstTalk","LOCALS",1)~ THEN BEGIN talkAboutCryptVM
  SAY ~You, stop there! What are you doing in my hideout? Get out immendiately!~
 ++ ~Sorry to disturb you. We are leaving.~ + goOut1
 ++ ~We are hunting vampires and it's your final moment.~ + goOut2
 ++ ~We just checked old cellar in search of goods or gold.~ + goOut3
 ++ ~I am a vampire myself and came to say 'hello'.~ + goOut4M
END

IF ~See(Player1)
!InParty(Myself)
Race(Player1,VAMPIRE)
!Gender(Player1,MALE)		
AreaCheck("BD7410")
	Global("FirstTalk","LOCALS",1)~ THEN BEGIN talkAboutCryptVF
  SAY ~You, stop there! What are you doing in my hideout? Get out immendiately!~
 ++ ~Sorry to disturb you. We are leaving.~ + goOut1
 ++ ~We are hunting vampires and it's your final moment.~ + goOut2
 ++ ~We just checked old cellar in search of goods or gold.~ + goOut3
 ++ ~I am a vampire myself and came to say 'hello'.~ + goOut4F
END

IF ~See(Player1)
!InParty(Myself)
!Race(Player1,VAMPIRE)
	AreaCheck("BD7410")
	Global("FirstTalk","LOCALS",1)~ THEN BEGIN talkAboutCryptM
  SAY ~You, stop there! What are you doing in my hideout? Get out immendiately!~
 ++ ~Sorry to disturb you. We are leaving.~ + goOut1
 ++ ~We are hunting vampires and it's your final moment.~ + goOut2
 ++ ~We just checked old cellar in search of goods or gold.~ + goOut3
END


IF ~~ goOut1
   SAY ~I cannot let you go alive. You know my hideout and there no another nearest in a miles.~
   IF ~~ THEN DO ~Enemy()~ EXIT
END


IF ~~ goOut2
   SAY ~I waited for this moment to come. Children of the Night, protect me from these monsters!~
   IF ~~ THEN DO ~Enemy()~ EXIT
END


IF ~~ goOut3
   SAY ~I accumulated some treasure here. You want it? You'll take it from my cold arms only.~
   ++ ~Then I will kill you, monster!~ +  briefing3f
   ++ ~Can we split peacefully?~ + goOut1
   ++ ~Actually I am gathering a party and I want you to join me.~ + goOut5
END

IF ~~ goOut4M
   SAY ~Hello, brother in blood.~
   ++ ~Can we split peacefully?~ + goOut1
   ++ ~Actually I am gathering a party and I want you to join me.~ + goOut5M
END

IF ~~ goOut4F
   SAY ~Hello, sister in blood.~
   ++ ~Can we split peacefully?~ + goOut1
   ++ ~Actually I am gathering a party and I want you to join me.~ + goOut5F
END


IF ~~ goOut5F
   SAY ~When sun will go out, I will die. There is not a single hideout in a miles.~
   ++ ~You are right, stay where you are and rot.~ + goOut1
   ++ ~Actually I have a possibility to buy cloaks, that allow vampires to walk under sun. If you will join, I'll give you one.~ + goOut6F
END


IF ~~ goOut5M
   SAY ~When sun will go out, I will die. There is not a single hideout in a miles.~
   ++ ~You are right, stay where you are and rot.~ + goOut1
   ++ ~Actually I have a possibility to buy cloaks, that allow vampires to walk under sun. If you will join, I'll give you one.~ + goOut6F
END


IF ~~ goOut5
   SAY ~When sun will go out, I will die. There is not a single hideout in a miles.~
   ++ ~You are right, stay where you are and rot.~ + goOut1
   ++ ~Actually I have a possibility to buy cloaks, that allow vampires to walk under sun. If you will join, I'll give you one.~ + goOut6
END

IF ~~ goOut6F
   SAY ~That are a good news. Then I will come with you, mistress. And maybe I will become strong and powerful vampire, so my gone mother could be proud of me.~
  IF ~~ THEN DO ~
  SetGlobal("DerekResurrected","GLOBAL",2)
  DestroyItem("VVDEREK")
  GiveItemCreate("VVCASKET",Myself,1,1,0) // Empty Casket		
  JoinParty()
  ~ EXIT
END
 
IF ~~ goOut6M
   SAY ~That are a good news. Then I will come with you, master. And maybe I will become strong and powerful vampire, so my gone mother could be proud of me.~
  IF ~~ THEN DO ~
  SetGlobal("DerekResurrected","GLOBAL",2)
  DestroyItem("VVDEREK")
  GiveItemCreate("VVCASKET",Myself,1,1,0) // Empty Casket		
  JoinParty()
  ~ EXIT
END
 
IF ~~ goOut6
   SAY ~That are a good news. Then I will come with you. And maybe I will become strong and powerful vampire, so my gone mother could be proud of me.~
  IF ~~ THEN DO ~
  SetGlobal("DerekResurrected","GLOBAL",2)
  DestroyItem("VVDEREK")
  GiveItemCreate("VVCASKET",Myself,1,1,0) // Empty Casket		
  JoinParty()
  ~ EXIT
END

IF ~See(Player1)
InParty(Myself)
	AreaCheck("BD7400")
	Global("MotherTalk","LOCALS",1)~ THEN BEGIN talkAboutMother
  SAY ~My mother! Why did you do this to me and to yourself? You betrayed me, and I never betrayed you. Gellanne, I will go out and see the world finally, and you will never hear anything about me again. Goodbye, mother!~
 IF ~~ THEN DO ~SetGlobal("MotherTalk","LOCALS",2)~ EXIT
END

IF ~See(Player1)
  Global("DerekResurrected","GLOBAL",1)~
THEN BEGIN greetingStart
   SAY ~Why I am alive?~
   ++ ~I've decided to return you to life, so you will serve me!~ + briefingNV1
   ++ ~I wanted to kill you again!~ + briefing3f
END


IF ~See(Player1)
  Global("DerekResurrected","GLOBAL",1)~
THEN BEGIN greetingStart
   SAY ~Why I am alive?~
   ++ ~I've decided to return you to life, so you will serve me!~ + briefingNV1
   ++ ~I wanted to kill you again!~ + briefing3f
END


IF ~~ briefingNV1
  SAY ~By why? I am so weak.~
  ++ ~You can join our party, if you wish.~ + briefing2
  ++ ~You are free to go. I don't need you.~ + briefing3
  ++ ~Die, villain!~ + briefing3f
END



IF ~~ briefing2
  SAY ~If you want it. I'll try to be resourceful.~
  IF ~~ THEN DO ~
  SetGlobal("DerekResurrected","GLOBAL",2)
  DestroyItem("VVDEREK")
  GiveItemCreate("VVCASKET",Myself,1,1,0) // Empty Casket		
  JoinParty()
 ChangeAIScript("VVDEREK",OVERRIDE)
  ~ EXIT
END

IF ~~ briefing3f
  SAY ~I don't want to die!~
  IF ~~ THEN DO ~SetGlobal("DerekResurrected","GLOBAL",2)
  SetGlobal("DerekLeft","GLOBAL",1)
Enemy()
Attack(Player1)
~ EXIT
END

IF ~~ briefing3
  SAY ~Goodbye, <CHARNAME>. I will have a long road to home. But I must return to from where I came.~
  IF ~~ THEN DO ~RunAwayFromNoInterrupt(Player1,50)
  SetGlobal("DerekResurrected","GLOBAL",2)

DestroySelf()
~ EXIT
END

//when thrown out
IF ~Gender(Player1,MALE)
!InParty(Myself)~ THEN BEGIN GreetingVManB1
SAY ~Finally you don't need me...~ 
 ++ ~Return, Derek, I need your skills.~ + notparty1
 ++ ~Sit down here, I will return.~ + notparty2
  ++ ~You are free to go. I don't need you.~ + briefing3 
 ++ ~I decided to end your life.~ + briefing3f
END

IF ~~ notparty2
SAY ~Okay!~
IF ~~ THEN DO ~~ EXIT
END

IF ~Gender(Player1,FEMALE)
!InParty(Myself)~ THEN BEGIN GreetingVFemB1
SAY ~Did you missed me, my mistress?~ 
 ++ ~Return, Derek, I need you, my loyal servant.~ + notparty1
 ++ ~Stay here, Derek, I will return.~ + notparty2
 ++ ~I decided to end your life.~ + briefing3f
END

IF ~~ notparty1m
  SAY ~Okay!~
  IF ~~ THEN DO ~
	//	DestroyItem("VVDerek")
	//	DestroyItem("MONHP1")
		JoinParty()~ EXIT
END

IF ~~ notparty1
  SAY ~Okay!~
  IF ~~ THEN DO ~
		JoinParty()~ EXIT
END



// talk in party

IF ~Gender(Player1,MALE)
InParty(Myself)
Race(Player1,VAMPIRE)~ THEN BEGIN GreetingManV1
SAY ~Hey, <CHARNAME>! Do you need something from me?~ 
 ++ ~Are you hungry? You can suck my blood, Derek.~ + suckblood
 ++ ~Tell me your story, Derek.~ + talkDerekM
 ++ ~No, nothing right now, Derek.~ + byesilent
  ++ ~I decided to end your life.~ + briefing3f
END

IF ~Gender(Player1,FEMALE)
InParty(Myself)
Race(Player1,VAMPIRE)~ THEN BEGIN GreetingFemV1
SAY ~Hey, <CHARNAME>! Do you need something from me?~ 
 ++ ~Are you hungry? You can suck my blood, Derek.~ + suckblood
 ++ ~Tell me your story, Derek.~ + talkDerekF
 ++ ~No, nothing right now, Derek.~ + byesilent
  ++ ~I decided to end your life.~ + briefing3f
END

IF ~Gender(Player1,MALE)
InParty(Myself)
!Race(Player1,VAMPIRE)~ THEN BEGIN GreetingMan1
SAY ~Hey, <CHARNAME>! Do you need something from me?~ 
 ++ ~Are you hungry? You can suck my blood, Derek.~ + suckblood
 ++ ~Make me one of you, Derek.~ + vampconvm
 ++ ~Tell me your story, Derek.~ + talkDerekM
 ++ ~No, nothing right now, Derek. Sorry for disturbance.~ + byesilent
   ++ ~I decided to end your life.~ + briefing3f
END

IF ~Gender(Player1,FEMALE)
InParty(Myself)
!Race(Player1,VAMPIRE)~ THEN BEGIN GreetingFem1
SAY ~Hey, <CHARNAME>! Do you need something from me?~ 
 ++ ~Do you hungry? You can suck my blood, Derek.~ + suckblood
 ++ ~Make me a vampire, Derek. I wanna share darkness with you.~ + vampconvf 
 ++ ~Tell me your story, Derek.~ +   talkDerekM
 ++ ~No, nothing right now, Derek. Sorry for disturbance.~ + byesilent
   ++ ~I decided to end your life.~ + briefing3f
END

IF ~~ byesilent
SAY ~Yuppi.~
  IF ~~ THEN DO ~~ EXIT
END


IF ~~ talkDerekM
  SAY ~I was born and lived in Bloodbark Grove with my mother. Not a long time ago I went to night walk on our land borders and was attacked by vampire. He didn't kill me, but made me a vampire. He taught me for few weeks, how to hunt down a food, how to summon creatures of the Night in my defense, and few other mean things. Then I returned to my home and my mother.~
  IF ~~ THEN GOTO talkDerekM2
END

IF ~~ talkDerekM2
  SAY ~I wouldn't ever hurt my mother, I hunted at nights to not be seen killing by her. But she betrayed me. She set a house on fire and died with it. I didn't want to die, but we are sensitive to fire, I couldn't save her or make her live eternally.~
  IF ~~ THEN GOTO talkDerekM3
END

IF ~~ talkDerekM3
  SAY ~When fire had stopped, it was too late. She was dead. From these day I live on my own and hunt lonely humans passing by.~
  IF ~~ THEN EXIT
END

IF ~~ talkDerekF
  SAY ~I was born and lived in Bloodbark Grove with my mother. Not a long time ago I went to night walk on our land borders and was attacked by vampire. He didn't kill me, but made me a vampire. He taught me for few weeks, how to hunt down a food, how to summon creatures of the Night in my defense, and few other mean things. Then I returned to my home and my mother.~
  IF ~~ THEN GOTO talkDerekM2
END

IF ~~ talkDerekF2
  SAY ~I wouldn't ever hurt my mother, I hunted at nights to not be seen killing by her. But she betrayed me. She set a house on fire and died with it. I didn't want to die, but we are sensitive to fire, I couldn't save her or make her live eternally.~
  IF ~~ THEN GOTO talkDerekM3
END

IF ~~ talkDerekF3
  SAY ~When fire had stopped, it was too late. She was dead. From these day I live on my own and hunt lonely humans passing by.~
  IF ~~ THEN EXIT
END



IF ~~ suckblood
  SAY ~Thank you.~
  IF ~!Global("Player1RaceBlood","GLOBAL",4)~ THEN GOTO suckbloodNo  
  IF ~Global("Player1RaceBlood","GLOBAL",4)~ THEN GOTO suckblood2
END

IF ~~ suckbloodNo
  SAY ~Your blood is not fit for me.~
  IF ~~ THEN DO ~~ EXIT
END




IF ~~ suckblood2
  SAY ~Wonderful.~
  IF ~~ THEN DO ~ApplyDamagePercent(Player1,40,MAGIC)
  SetGlobalTimer("BloodlustTimer","LOCALS",ONE_DAY)
		ApplySpell(Myself,RESTORE_FULL_HEALTH)~ EXIT 
END

IF ~~ vampconvm
  SAY ~(Derek gets closer and embraces you.)~
  IF ~!Global("Player1RaceBlood","GLOBAL",4)~ THEN GOTO suckbloodNo  
  IF ~Global("Player1RaceBlood","GLOBAL",4)~ THEN GOTO vampconv2
END


IF ~~ vampconvf
  SAY ~(Derek's teeth go out and insecurely bite you in your neck.)~
  IF ~!Global("Player1RaceBlood","GLOBAL",4)~ THEN GOTO suckbloodNo  
  IF ~Global("Player1RaceBlood","GLOBAL",4)~ THEN GOTO vampconv2
END

IF ~~ vampconv2
  SAY ~(Suddently you feel his teeths have pierced your skin and gone to carotid vein. Blood flow is distracted and becomes pulsating. You feel that your blood flows into Derek.)~
IF ~~ GOTO vampconv3
END

IF ~~ vampconv3
  SAY ~(Soon you feel great weakness, your throuths are clouded. And you loose consciousness.)~
IF ~~ GOTO vampconv4
END

IF ~~ vampconv4
  SAY ~(...You open your eyes. World around you have changed. You have changed. You feel coldness of your body and immediately you feel all-consuming hunger growing in you.)~
IF ~!Global("DerekVampirized","LOCALS",1)~ GOTO vampconv5
IF ~Global("DerekVampirized","LOCALS",1)~ GOTO vampconv5
END

IF ~~ vampconv5
  SAY ~(You are now undead, as you wished. Now you feel presence of Derek and his sorrowful throughts. He is still grieving over his mother betrayal.)~

  IF ~~ THEN DO ~
ActionOverride(Player1,SetGlobal("ActorVampirisedLevel","LOCALS",1))  
		ChangeStat(Player1,CON,-1,ADD)
		ChangeStat(Player1,STR,-1,ADD)
		SetGlobal("DerekVampirized","GLOBAL",1)	
	~ EXIT
END


